Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class StaticMethodCallExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.StaticMethodCallExpression

    public class StaticMethodCallExpression
    extends Expression

A static method call on a class

Authors:
  James Strachan

Version:
  \$Revision: 8256 \$

Constructor Summary
`StaticMethodCallExpression(ClassNode type, String method, Expression arguments)`

Method Summary
`Expression` | `getArguments()`
`MetaMethod` | `getMetaMethod()`
`String` | `getMethod()`
`ClassNode` | `getOwnerType()`
`String` | `getText()`
`void` | `setMetaMethod(MetaMethod metaMethod)`
`void` | `setOwnerType(ClassNode ownerType)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### StaticMethodCallExpression

    public StaticMethodCallExpression(ClassNode type, String method, Expression arguments)

Method Detail

### getArguments

    public Expression getArguments()

### getMetaMethod

    public MetaMethod getMetaMethod()

### getMethod

    public String getMethod()

### getOwnerType

    public ClassNode getOwnerType()

### getText

    public String getText()

### setMetaMethod

    public void setMetaMethod(MetaMethod metaMethod)

### setOwnerType

    public void setOwnerType(ClassNode ownerType)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.